@echo off 
rem RCSS_HOST = ipadresa servera
rem RCSS_PORT = server::port
rem RCSS_CPORT= server::coach
rem RCSS_OPORT= server::olcoach_port
rem Pozor! Nas coach bezi na server::olcoach_port

set NAME=hapo_team
set RCSS_HOST=localhost
set RCSS_PORT=6000
set RCSS_CPORT=6001
set RCSS_OPORT=6002

set GOALIE_PARAMS=-t 11 -a -g -n %NAME% -s %RCSS_HOST% -p %RCSS_PORT%
set PLAYER_PARAMS=-t 11 -a -n %NAME% -s %RCSS_HOST% -p %RCSS_PORT%
set  COACH_PARAMS=-t 11 -a -n %name% -s %RCSS_HOST% -p %RCSS_OPORT% -t 4 -l Logo\ --playground-stat-period 1000

set START_PARAM=/min 

echo *******************************************************
echo * Squirrel Squadron Robocup Team starter              *
echo *                                                     *
echo * Slovak University of Technology in Bratislava       *
echo * Faculty of Informatics and Information Technologies *
echo *                                                     *
echo * No Copyright 2005. Team Squirrel Squadron.          *
echo * No All rights reserved.                             *
echo *******************************************************
echo Goalie starting.
start %START_PARAM% Goalie %GOALIE_PARAMS%
rem start %START_PARAM% Goalie %GOALIE_PARAMS%

sleep.exe 1000

for %%i in (2 3 4 5 6 7 8 9 10 11) do call :StartPlayer

echo Coach starting.
sleep.exe 300
start %START_PARAM% Coach %COACH_PARAMS%

sleep.exe 3000
goto exit


:StartPlayer
	sleep.exe 100
	echo Player starting.
	start %START_PARAM% Player %PLAYER_PARAMS%
:exit

